Index: palm/trunk/SOURCE/netcdf.f90
===================================================================
--- palm/trunk/SOURCE/netcdf.f90	(revision 262)
+++ palm/trunk/SOURCE/netcdf.f90	(revision 263)
@@ -3328,5 +3331,5 @@
                                   start = (/ prt_time_count /), &
                                   count = (/ 1 /) )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 326 )
+          CALL handle_netcdf_error( 'netcdf', 326 )
 
           IF ( last_time_coordinate(1) >= simulated_time )  THEN
@@ -3349,5 +3352,5 @@
           nc_stat = NF90_INQ_VARID( id_set_prt, 'real_num_of_prt', &
                                     id_var_rnop_prt )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 327 )
+          CALL handle_netcdf_error( 'netcdf', 327 )
 
           DO  i = 1, 17
@@ -3355,5 +3358,5 @@
              nc_stat = NF90_INQ_VARID( id_set_prt, prt_var_names(i), &
                                        id_var_prt(i) )
-             IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 328 )
+             CALL handle_netcdf_error( 'netcdf', 328 )
 
           ENDDO
@@ -3372,5 +3375,5 @@
           nc_stat = NF90_PUT_ATT( id_set_pts, NF90_GLOBAL, 'title', &
                                   TRIM( run_description_header ) )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 396 )
+          CALL handle_netcdf_error( 'netcdf', 396 )
 
 !
@@ -3378,13 +3381,13 @@
           nc_stat = NF90_DEF_DIM( id_set_pts, 'time', NF90_UNLIMITED, &
                                   id_dim_time_pts )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 397 )
+          CALL handle_netcdf_error( 'netcdf', 397 )
 
           nc_stat = NF90_DEF_VAR( id_set_pts, 'time', NF90_DOUBLE, &
                                   id_dim_time_pts, id_var_time_pts )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 398 )
+          CALL handle_netcdf_error( 'netcdf', 398 )
 
           nc_stat = NF90_PUT_ATT( id_set_pts, id_var_time_pts, 'units', &
                                   'seconds')
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 399 )
+          CALL handle_netcdf_error( 'netcdf', 399 )
 
 !
@@ -3412,5 +3415,5 @@
                                         (/ id_dim_time_pts /),              &
                                         id_var_dopts(i,j) )
-                IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 400 )
+                CALL handle_netcdf_error( 'netcdf', 400 )
 
                 IF ( j == 0 )  THEN
@@ -3424,9 +3427,9 @@
                                            suffix1(2:3) )
                 ENDIF
-                IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 401 )
+                CALL handle_netcdf_error( 'netcdf', 401 )
 
                 nc_stat = NF90_PUT_ATT( id_set_pts, id_var_dopts(i,j), &
                                         'units', TRIM( dopts_unit(i) ) )
-                IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 402 )
+                CALL handle_netcdf_error( 'netcdf', 402 )
 
                 var_list = TRIM(var_list) // TRIM(netcdf_var_name) // &
@@ -3444,10 +3447,11 @@
           nc_stat = NF90_PUT_ATT( id_set_pts, NF90_GLOBAL, 'VAR_LIST', &
                                   var_list )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 403 )
+          CALL handle_netcdf_error( 'netcdf', 403 )
+
 
 !
 !--       Leave NetCDF define mode
           nc_stat = NF90_ENDDEF( id_set_pts )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 404 )
+          CALL handle_netcdf_error( 'netcdf', 404 )
 
 
@@ -3461,5 +3465,5 @@
           nc_stat = NF90_GET_ATT( id_set_pts, NF90_GLOBAL, 'VAR_LIST', &
                                   var_list_old )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 405 )
+          CALL handle_netcdf_error( 'netcdf', 405 )
 
           var_list = ';'
@@ -3504,14 +3508,14 @@
 !--       on the file.
           nc_stat = NF90_INQ_VARID( id_set_pts, 'time', id_var_time_pts )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 406 )
+          CALL handle_netcdf_error( 'netcdf', 406 )
 
           nc_stat = NF90_INQUIRE_VARIABLE( id_set_pts, id_var_time_pts, &
                                            dimids = id_dim_time_old )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 407 )
+          CALL handle_netcdf_error( 'netcdf', 407 )
           id_dim_time_pts = id_dim_time_old(1)
 
           nc_stat = NF90_INQUIRE_DIMENSION( id_set_pts, id_dim_time_pts, &
                                             len = dopts_time_count )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 408 )
+          CALL handle_netcdf_error( 'netcdf', 408 )
 
           nc_stat = NF90_GET_VAR( id_set_pts, id_var_time_pts,    &
@@ -3519,5 +3523,5 @@
                                   start = (/ dopts_time_count /), &
                                   count = (/ 1 /) )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 409 )
+          CALL handle_netcdf_error( 'netcdf', 409 )
 
           IF ( last_time_coordinate(1) >= simulated_time )  THEN
@@ -3556,5 +3560,5 @@
                 nc_stat = NF90_INQ_VARID( id_set_pts, netcdf_var_name, &
                                           id_var_dopts(i,j) )
-                IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 410 )
+                CALL handle_netcdf_error( 'netcdf', 410 )
 
                 IF ( number_of_particle_groups == 1 )  EXIT
@@ -3568,5 +3572,5 @@
           nc_stat = NF90_PUT_ATT( id_set_pts, NF90_GLOBAL, 'title', &
                                   TRIM( run_description_header ) )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 411 )
+          CALL handle_netcdf_error( 'netcdf', 411 )
           message_string = 'NetCDF file for particle time series ' // & 
                            'from previous run found.' //              &
@@ -3586,6 +3590,5 @@
 
 
-
- SUBROUTINE handle_netcdf_error( errno )
+SUBROUTINE handle_netcdf_error( routine_name, errno )
 #if defined( __netcdf )
 
@@ -3597,4 +3600,5 @@
 !------------------------------------------------------------------------------!
 
+    USE control_parameters
     USE netcdf
     USE netcdf_control
@@ -3603,13 +3607,16 @@
     IMPLICIT NONE
 
+    CHARACTER(LEN=6) ::  message_identifier
+    CHARACTER(LEN=*) ::  routine_name
+
     INTEGER ::  errno
 
     IF ( nc_stat /= NF90_NOERR )  THEN
-       PRINT*, '+++ netcdf error ', errno,': ', TRIM( NF90_STRERROR( nc_stat ) )
-#if defined( __parallel )
-       CALL MPI_ABORT( comm2d, 9999, ierr )
-#else
-       CALL local_stop
-#endif
+
+       WRITE( message_identifier, '(''NC'',I4.4)' )  errno
+       message_string = TRIM( NF90_STRERROR( nc_stat ) )
+
+       CALL message( routine_name, message_identifier, 2, 2, 0, 6, 0 )
+
     ENDIF
 
